## xlax 2.4

=== debian/changelog ===
xlax (2.4-3) unstable; urgency=high

  * New dh7-style packaging as demanded plus the usual bumps
  * Protoise a bit but still use gnu99 for now (Closes: #1098149)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 14 Sep 2025 01:06:21 +0000

xlax (2.4-2) unstable; urgency=low

  * Convert local packaging for inclusion in Debian proper
  * Use default, i.e. xz, compression
  * Bump Policy (no changes)
  * Use debhelper compat 10
  * Fix a couple of compile-time warnings

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 31 Oct 2016 16:00:11 +0100

xlax (2.4-1) wtf; urgency=low

  * Add website dump suitably modified for inclusion in packaging
  * Link to freecode, not freshmeat, in website
  * Add doc-base registration for website
  * Draw icon and add menu file
  * Fix some typos and hyphen-as-minus-sign
  * Update some lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 09 Jul 2015 20:14:37 +0200

xlax (2.4-0beta1) wtf; urgency=low

  * Initial packaging

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 09 Jul 2015 18:29:21 +0200
