=== debian/control ===
Source: xlax
Section: x11
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: https://hea-www.harvard.edu/~fine/Tech/xlax.html
Build-Depends: debhelper-compat (= 13),
 libbsd-dev, libxaw7-dev, xutils-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
# yes, no VCS. no, you are NOT allowed to import this into Salsa.
# Salsa is non-free.

Package: xlax
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: send keyboard input to multiple X11 windows
 xlax is an X11 input multiplexer: it sends your keyboard input
 from the xlax window to a group of windows simultaneously.
 The tool is designed for system administrators who typically
 have to do the same thing on several machines (or in several
 different directories). Windows can be added or deleted
 interactively, or temporarily disconnected and reconnected.
 xlax allows you to assign a custom string to each window
 (e.g. a hostname) that can be sent with a button click.
 An included script handles starting up and arranging windows,
 and allows you to set up commonly used window groupings
 in a config file.
