=== debian/watch ===
version=4
https://hea-www.harvard.edu/~fine/Tech/xlax.html xlax([0-9.]+)\.tar\.gz
